Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Access to older versions of Photoshop

New Here ,
Nov 03, 2021 Nov 03, 2021

Copy link to clipboard

Copied

I paid for the apps but can`t dowload most of them because I have a MacOS 10.1. How can I have access to older versions of the programs?

TOPICS
macOS

Views

56

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 03, 2021 Nov 03, 2021

Copy link to clipboard

Copied

 

Hi OSX 10.1 was Puma and was released in September of 2001. Adobe offers the current plus one previous version through Creative Cloud, and you cannnot run them on 20 year old software.

 

If you purchased your license for an annual plan within the past 14 days, you are still within the zone for a refund. Did you check the specs first? If not, here they are:

https://helpx.adobe.com/photoshop/system-requirements.html

 

If you need help, Contact Adobe Customer Care, as we cannot help with billing on this forum.
https://community.adobe.com/t5/creative-cloud-services/how-to-contact-adobe-support/td-p/11875703 

 

or you can send a tweet to @AdobeCare for support.

~ Jane

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 03, 2021 Nov 03, 2021

Copy link to clipboard

Copied

LATEST
quote

I have a MacOS 10.1.

 

Do you really mean 10.1 (Puma) released in 2001 or is that a typo? Puma was OS X 10.1.

 

macOS has been the name of the operating system since 10.12 Sierra so i suspect you've dropped a digit and you really mean one of the versions in the past 5 years.

 

You could be on 10.10 Yosemite, 10.11 El Capitan, 10.12 Sierra, 10.13 High Sierra or 10.14 Mojave.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines